<?php

namespace App\Policies;

use App\Models\Admin;
use App\Models\EmailMarketingList;
use Illuminate\Auth\Access\HandlesAuthorization;

class EmailMarketingListPolicy
{
    use HandlesAuthorization;

    public function viewAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('view email marketing');
    }

    public function view(Admin $admin, EmailMarketingList $emailMarketingList): bool
    {
        return $admin->hasPermissionTo('view email marketing');
    }

    public function create(Admin $admin): bool
    {
        return $admin->hasPermissionTo('create email marketing');
    }

    public function update(Admin $admin, EmailMarketingList $emailMarketingList): bool
    {
        return $admin->hasPermissionTo('update email marketing');
    }

    public function delete(Admin $admin, EmailMarketingList $emailMarketingList): bool
    {
        return $admin->hasPermissionTo('delete email marketing');
    }

    public function updateAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('update email marketing');
    }

    public function deleteAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('delete email marketing');
    }
}
